| seqretsplit

## Function

Reads and writes (returns) sequences in individual files

## Description

seqretsplit is exactly the same as the program seqret except that when it writes out more than one sequence, it writes each sequence to an individual file.

Its main use is therefore to split a file containing multiple sequences into many files, each containing one sequence.

The names of the files it creates are derived from the ID name of the sequence, followed by an extension denoting the format of the sequence. You have no control over the names of the files it writes out.

For example, if the files embl:hsfa11* are read in and the output is specified as wibble.seq, then the following files are expected to be created:

    hsfa110.fasta
    hsfa111.fasta
    hsfa112.fasta
    hsfa113.fasta
    hsfa114.fasta

(No file wibble.seq is created.)

Why would you want to split a multiple sequence file into many individual files?

EMBOSS programs can read in many sequences from one file where this is sensible. Sometimes EMBOSS programs can only read in one sequence at a time because that is the sensible way to do things, but your sequence is one sequence of many in a file. You can specify that sequence using the USA filename:sequenceID, but you may still feel more comfortable splitting your sequences up into many files first.

Many non-EMBOSS programs will also have restrictions on whether they can read in multiple sequence files or not.

## Usage

Here is a sample session with seqretsplit

    % seqretsplit tembl:hsfa*
    Reads and writes (returns) sequences in individual files
    Output sequence [hsfau.fasta]:

Go to the input files for this example
Go to the output files for this example

The specification of the output file is not used in this case.

At some point this ought to change and you will not be prompted for the output file at all.

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Sequence database USA
      [-outseq]            seqoutall  Output sequence(s) USA

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -feature            boolean    Use feature information
       -firstonly          boolean    Read one sequence and stop

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of each sequence to be used
       -send1               integer    End of each sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-outseq" associated qualifiers
       -osformat2           string     Output seq format
       -osextension2        string     File name extension
       -osname2             string     Base file name
       -osdirectory2        string     Output directory
       -osdbname2           string     Database name to add
       -ossingle2           boolean    Separate file for each entry
       -oufo2               string     UFO features
       -offormat2           string     Features format
       -ofname2             string     Features file name
       -ofdirectory2        string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
[-outseq] (Parameter 2) | Output sequence(s) USA | Writeable sequence(s) | <sequence>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-feature | Use feature information | Boolean value Yes/No | No
-firstonly | Read one sequence and stop | Boolean value Yes/No | No

## Input file format

seqretsplit reads a normal sequence USA.

### Input files for usage example

'tembl:hsfa*' is a sequence entry in the example nucleic acid database 'tembl'

## Output file format

### Output files for usage example

### File: hsfau.fasta

    >HSFAU X65923.1 H.sapiens fau mRNA
    ttcctctttctcgactccatcttcgcggtagctgggaccgccgttcagtcgccaatatgc
    agctctttgtccgcgcccaggagctacacaccttcgaggtgaccggccaggaaacggtcg
    cccagatcaaggctcatgtagcctcactggagggcattgccccggaagatcaagtcgtgc
    tcctggcaggcgcgcccctggaggatgaggccactctgggccagtgcggggtggaggccc
    tgactaccctggaagtagcaggccgcatgcttggaggtaaagttcatggttccctggccc
    gtgctggaaaagtgagaggtcagactcctaaggtggccaaacaggagaagaagaagaaga
    agacaggtcgggctaagcggcggatgcagtacaaccggcgctttgtcaacgttgtgccca
    cctttggcaagaagaagggccccaatgccaactcttaagtcttttgtaattctggctttc
    tctaataaaaaagccacttagttcagtcaaaaaaaaaa

### File: hsfau1.fasta

    >HSFAU1 X65921.1 H.sapiens fau 1 gene
    ctaccattttccctctcgattctatatgtacactcgggacaagttctcctgatcgaaaac
    ggcaaaactaaggccccaagtaggaatgccttagttttcggggttaacaatgattaacac
    tgagcctcacacccacgcgatgccctcagctcctcgctcagcgctctcaccaacagccgt
    agcccgcagccccgctggacaccggttctccatccccgcagcgtagcccggaacatggta
    gctgccatctttacctgctacgccagccttctgtgcgcgcaactgtctggtcccgccccg
    tcctgcgcgagctgctgcccaggcaggttcgccggtgcgagcgtaaaggggcggagctag
    gactgccttgggcggtacaaatagcagggaaccgcgcggtcgctcagcagtgacgtgaca
    cgcagcccacggtctgtactgacgcgccctcgcttcttcctctttctcgactccatcttc
    gcggtagctgggaccgccgttcaggtaagaatggggccttggctggatccgaagggcttg
    tagcaggttggctgcggggtcagaaggcgcggggggaaccgaagaacggggcctgctccg
    tggccctgctccagtccctatccgaactccttgggaggcactggccttccgcacgtgagc
    cgccgcgaccaccatcccgtcgcgatcgtttctggaccgctttccactcccaaatctcct
    ttatcccagagcatttcttggcttctcttacaagccgtcttttctttactcagtcgccaa
    tatgcagctctttgtccgcgcccaggagctacacaccttcgaggtgaccggccaggaaac
    ggtcgcccagatcaaggtaaggctgcttggtgcgccctgggttccattttcttgtgctct
    tcactctcgcggcccgagggaacgcttacgagccttatctttccctgtaggctcatgtag
    cctcactggagggcattgccccggaagatcaagtcgtgctcctggcaggcgcgcccctgg
    aggatgaggccactctgggccagtgcggggtggaggccctgactaccctggaagtagcag
    gccgcatgcttggaggtgagtgagagaggaatgttctttgaagtaccggtaagcgtctag
    tgagtgtggggtgcatagtcctgacagctgagtgtcacacctatggtaatagagtacttc
    tcactgtcttcagttcagagtgattcttcctgtttacatccctcatgttgaacacagacg
    tccatgggagactgagccagagtgtagttgtatttcagtcacatcacgagatcctagtct
    ggttatcagcttccacactaaaaattaggtcagaccaggccccaaagtgctctataaatt
    agaagctggaagatcctgaaatgaaacttaagatttcaaggtcaaatatctgcaactttg
    ttctcattacctattgggcgcagcttctctttaaaggcttgaattgagaaaagaggggtt
    ctgctgggtggcaccttcttgctcttacctgctggtgccttcctttcccactacaggtaa
    agtccatggttccctggcccgtgctggaaaagtgagaggtcagactcctaaggtgagtga
    gagtattagtggtcatggtgttaggactttttttcctttcacagctaaaccaagtccctg
    ggctcttactcggtttgccttctccctccctggagatgagcctgagggaagggatgctag
    gtgtggaagacaggaaccagggcctgattaaccttcccttctccaggtggccaaacagga
    gaagaagaagaagaagacaggtcgggctaagcggcggatgcagtacaaccggcgctttgt
    caacgttgtgcccacctttggcaagaagaagggccccaatgccaactcttaagtcttttg
    taattctggctttctctaataaaaaagccacttagttcagtcatcgcattgtttcatctt
    tacttgcaaggcctcagggagaggtgtgcttctcgg

One file for each input sequence is written out.

The names of the files it creates are derived from the ID name of the sequence, followed by an extension denoting the format of the sequence. You have no control over the names of the files it writes out.

For example, if the files embl:hsfa11* are read in and the output is specified as wibble.seq, then the following files are expected to be created:

    hsfa110.fasta
    hsfa111.fasta
    hsfa112.fasta
    hsfa113.fasta
    hsfa114.fasta

(No file wibble.seq is created.)

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

It shouldn't really prompt for the output filename.

This isa side effect of the waysequence output works in EMBOSS. Writing multiple sequences to separate files (the -ossingle qualifier) does this, and seqretsplit has set it automatically on.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
skipseq | Reads and writes (returns) sequences, skipping the first few
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

Written (Jan 2000) - Peter Rice

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

The specification of the output file is not used when the output file names are generated automatically..

At some point this ought to change and you will not be prompted for the output file at all.